%global debug_package %{nil}
%define pkgdate 20200522
%define pkgver 9028
%define commit 02eff8c8c

Summary: An advanced Duke Nukem 3D source port
Name: eduke32
Version: %{pkgdate}.%{pkgver}
Release: 2%{dist}
License: GPL, Custom
Group: Game
Source: https://dukeworld.com/eduke32/synthesis/%{pkgdate}-%{pkgver}-%{commit}/eduke32_src_%{pkgdate}-%{pkgver}-%{commit}.tar.xz
Source1: eduke32.desktop
Source2: eduke32.png
URL: http://eduke32.com/

BuildRequires:  gcc-c++
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  SDL2-devel
BuildRequires:  SDL2_mixer-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libvpx-devel
BuildRequires:  flac-devel
BuildRequires:  alsa-lib-devel

Requires:       flac


%description
An advanced Duke Nukem 3D source port

%prep
%autosetup -c -n %{name}-%{version}

%build
cd eduke32_%{pkgdate}-%{pkgver}-%{commit}
%make_build %{name} HAVE_GTK2=0 NOASM=1

%install
%{__mkdir_p} %{buildroot}/usr/share/applications/
install -Dm644 %{SOURCE1} %{buildroot}/usr/share/applications/%{name}.desktop
%{__mkdir_p} %{buildroot}/usr/share/icons/hicolor/48x48/apps/
install -Dm644 %{SOURCE2} %{buildroot}/usr/share/icons/hicolor/48x48/apps/eduke32.png


cd eduke32_%{pkgdate}-%{pkgver}-%{commit}
%{__mkdir_p} %{buildroot}/%{_bindir}
install -m 755 -p -s %{name} %{buildroot}/%{_bindir}

%files
%{_bindir}/%{name}
/usr/share/applications/%{name}.desktop
/usr/share/icons/hicolor/48x48/apps/eduke32.png
